Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
[Java] Class RefreshOptions

    java.lang.Object
      org.gradle.RefreshOptions

All Implemented Interfaces:
  Serializable

    @Deprecated
    public class RefreshOptions

The options supplied by a user to refresh dependencies and other external resources.

deprecated:
  Use StartParameter#setRefreshDependencies(boolean)#setRefreshDependencies(boolean) instead.

Nested Class Summary
`enum` | `RefreshOptions.Option` The set of allowable options.

Field Summary
`static RefreshOptions` | `NONE`

Constructor Summary
`RefreshOptions(List options)`

Method Summary
`boolean` | `equals(Object o)`
`static RefreshOptions` | `fromCommandLineOptions(List optionNames)`
`int` | `hashCode()`
`boolean` | `refreshDependencies()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### NONE

    public static final RefreshOptions NONE

Constructor Detail

### RefreshOptions

    public RefreshOptions(List options)

Method Detail

### equals

    @Override
    public boolean equals(Object o)

### fromCommandLineOptions

    public static RefreshOptions fromCommandLineOptions(List optionNames)

### hashCode

    @Override
    public int hashCode()

### refreshDependencies

    public boolean refreshDependencies()

Gradle API 1.10